com.thinkaurelius.titan.diskstorage.locking.consistentkey

## Class ConsistentKeyLockStatus

- java.lang.Object
- - com.thinkaurelius.titan.diskstorage.locking.consistentkey.ConsistentKeyLockStatus

- All Implemented Interfaces:
    LockStatus

      public class ConsistentKeyLockStatus
      extends Object
      implements LockStatus

  The timestamp and checked-ness of a held `ConsistentKeyLock` `ConsistentKeyLockStore`

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ConsistentKeyLockStatus(Timepoint written, Timepoint expire)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(Object obj)`
    `Timepoint` | `getExpirationTimestamp()` Returns the moment at which this lock expires (inclusive).
    `Timepoint` | `getWriteTimestamp()`
    `long` | `getWriteTimestamp(TimeUnit tu)`
    `int` | `hashCode()`
    `boolean` | `isChecked()`
    `void` | `setChecked()`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ConsistentKeyLockStatus

          public ConsistentKeyLockStatus(Timepoint written,
                                 Timepoint expire)

  - ### Method Detail

    - #### getExpirationTimestamp

          public Timepoint getExpirationTimestamp()

      Description copied from interface: `LockStatus`
      Returns the moment at which this lock expires (inclusive).
      Specified by:
        `getExpirationTimestamp` in interface `LockStatus`
      Returns:
        The expiration instant of this lock

    - #### getWriteTimestamp

          public long getWriteTimestamp(TimeUnit tu)

    - #### getWriteTimestamp

          public Timepoint getWriteTimestamp()

    - #### isChecked

          public boolean isChecked()

    - #### setChecked

          public void setChecked()

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### equals

          public boolean equals(Object obj)

      Overrides:
        `equals` in class `Object`

Copyright © 2012–2014. All rights reserved.